try(dev.off(), silent = TRUE)

freqData <- as.data.frame(table(mydata$child, mydata$parent))
names(freqData) <- c("child", "parent", "freq")
new_freqData <- cbind(freqData, outliers=freqData$parent %in% unique_outliers)
color <- ifelse(new_freqData$outliers == TRUE, "red", "lightblue")
mypch <- ifelse(new_freqData$outliers == TRUE, 24, 21)
mycex <- ifelse(new_freqData$outliers == TRUE & new_freqData$freq != 0, 1, .15 * freqData$freq)


par(mfcol=c(1,2))

plot(
as.numeric(as.vector(freqData$parent)),
as.numeric(as.vector(freqData$child)),
pch = mypch, col = "black", bg = color,
cex = mycex,
xlab = "parent",
ylab = "child", main = "Galton's dataset with denoted outliers"
)

freqData <- as.data.frame(table(mydata_unique$child, mydata_unique$parent))
names(freqData) <- c("child", "parent", "freq")

plot(
as.numeric(as.vector(freqData$parent)),
as.numeric(as.vector(freqData$child)),
pch = 21, col = "black", bg = "lightblue",
cex = .15 * freqData$freq,
xlab = "parent",
ylab = "child", main = "Galton's dataset without outliers"
)
